<?php

class Usuarios {
    public function registrar() {
        $nombres = $_POST["nombres"];
        $apellidos = $_POST["apellidos"];
        $correo = $_POST["correo"];
        $clave = md5($_POST["clave"]);
        $sql = "INSERT INTO usuarios (nombres, apellidos, correo, clave, usuario_tipo_id, activo) VALUES(:nombres, :apellidos, :correo, :clave, 3, 1)";
        $res = Flight::db()->prepare($sql);
        $res->execute(array(
            'nombres' => $nombres,
            'apellidos' => $apellidos,
            'correo' => $correo,
            'clave' => $clave
        ));
        return Flight::json(array(
            "id" => Flight::db()->lastInsertid(),
            "sql" => $sql
        ));
    }
    
    public function ingresar() {
        $correo = $_POST["correo"];
        $clave = md5($_POST["clave"]);
        $sql = "SELECT
                    usuarios.id as id,
                    nombres,
                    apellidos,
                    correo,
                    usuario_tipo_id,
                    usuarios_tipos.index as indexPage,
                    activo
                FROM usuarios 
                INNER JOIN usuarios_tipos ON usuarios.usuario_tipo_id=usuarios_tipos.id 
                WHERE correo = :correo AND clave = :clave";
        $res = Flight::db()->prepare($sql);
        $res->execute(array(
            'correo' => $correo,
            'clave' => $clave
        ));
        if ($res->rowCount() > 0) {
            $row = $res->fetch();
            $_SESSION["usuarioId"] = $row["id"];
            $_SESSION["usuarioNombres"] = $row["nombres"];
            $_SESSION["usuarioApellidos"] = $row["apellidos"];
            $_SESSION["usuarioCorreo"] = $row["correo"];
            $_SESSION["usuarioTipo"] = $row["usuario_tipo_id"];
            $_SESSION["usuarioActivo"] = $row["activo"];
            return Flight::json(array(
                "error"=>0, 
                "index"=>$row["indexPage"]
            ));
        } else {
            return Flight::json(array("error"=>1));
        }
    }
    
    public function menu($usuario_tipo) {
        $sql = "SELECT * FROM usuarios_tipos_menus
            INNER JOIN menus on usuarios_tipos_menus.menu_id = menus.id 
            WHERE usuario_tipo_id = :usuario_tipo 
            ORDER BY indice DESC";
        $res = Flight::db()->prepare($sql);
        $res->execute(array(
            'usuario_tipo' => $usuario_tipo
        ));
        $array = $res->fetchAll();
        $html = '<div class="panel panel-default">';
        $html .= '<div class="panel-body">';
        $html .= 'Postulación de software para Canaima GNU/Linux';
        foreach ($array as $k=>$v){
            $html .= '<a href="'; 
            $html .= Flight::url($v["ruta"]);
            $html .= '" class="btnMenu">' . utf8_encode($v["nombre"]) . '</a>';
        }
        $html .= "</div></div>";
        return $html;
     }
}
