            <?php include "app/vistas/plantillas/cabecera.php"; ?>
            <div class="panel panel-default">
                <div class="panel-body">
                    Postulación de software para Canaima GNU/Linux
                    <a href="#" class="btn btn-success btnMenu" id="btnIngreso">Ingresar</a>
                </div>
            </div>
            <div class="row">
                <div class="col-md-2"></div>
                <div class="col-md-8">
                    <?php include "app/vistas/plantillas/ultimos.php"; ?>
                </div>
            </div>
            <div id="modal" style="display:none">
                <div id="ingresoUsuario">
                    <button type="button" class="close closeModal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <div class="row">
                        <div class="col-md-12">
                            <h2>Ingreso De Usuario</h2>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <input class="form-control" type="text" name="txtIngresoCorreo" id="txtIngresoCorreo" placeholder="Correo Electrónico">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <input class="form-control" type="password" name="txtIngresoClave" id="txtIngresoClave" placeholder="Contraseña">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <button class="form-control btn btn-success" id="btnRegistro">Registrarse</button>
                        </div>
                        <div class="col-md-6">
                            <button class="form-control btn btn-primary" id="btnIngresar">Ingresar</button>
                        </div>
                    </div>
                    <!--div class="row">
                        <div class="col-md-6">
                            <a href="desarrollador/comunidad" class="form-control btn btn-default">Des Comunitario</a>
                        </div>
                        <div class="col-md-6">
                            <a href="desarrollador/evaluadores" class="form-control btn btn-default">Grupo Evaluador</a>
                        </div>
                    </div-->
                </div>
                <div id="registroUsuario" style="display:none">
                    <button type="button" class="close closeModal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <div class="row">
                        <div class="col-md-12">
                            <h2>Registro De Usuario</h2>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <input class="form-control" type="text" name="txtRegistroNombres" id="txtRegistroNombres" placeholder="Nombres">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <input class="form-control" type="text" name="txtRegistroApellidos" id="txtRegistroApellidos" placeholder="Apellidos">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <input class="form-control" type="text" name="txtRegistroCorreo" id="txtRegistroCorreo" placeholder="Correo Electrónico">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <input class="form-control" type="password" name="txtRegistroClave" id="txtRegistroClave" placeholder="Contraseña">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <input class="form-control" type="password" name="txtRegistroClave2" id="txtRegistroClave2" placeholder="Repita Contraseña">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <button class="form-control btn btn-danger" id="btnCancelar">Cancelar</button>
                        </div>
                        <div class="col-md-6">
                            <button class="form-control btn btn-primary" id="btnRegistrar">Registrar</button>
                        </div>
                    </div>
                </div>
            </div>
            <script>
                $(function(){
                    $('#btnRegistro').click(function(){
                        $('#ingresoUsuario').hide(200);
                        $('#registroUsuario').show(200);
                    });
                    $('#btnCancelar').click(function(){
                        $('#ingresoUsuario').show(200);
                        $('#registroUsuario').hide(200);
                    });
                    $('#btnIngreso').click(function(){
                        $('#modal').show(200);
                    });
                    $('.closeModal').click(function(){
                        $('#modal').hide(200);
                    });
                    $('#btnRegistrar').click(function(){
                        $.ajax({
                            method: "POST",
                            url: "<?=Flight::url('usuarios/registrar')?>",
                            dataType: "json",
                            data: { 
                                nombres: $('#txtRegistroNombres').val(),
                                apellidos: $('#txtRegistroApellidos').val(),
                                correo: $('#txtRegistroCorreo').val(),
                                clave: $('#txtRegistroClave').val()
                            }
                        })
                        .done(function( msg ) {
                            console.log( "registro: ", msg );
                            alert('Registro Realizado con éxito');
                            $('#ingresoUsuario').show();
                            $('#registroUsuario').hide();

                        })
                        .fail(function() {
                            console.log( "error" );
                        });        
                    });
                    $('#btnIngresar').click(function(){
                        $.ajax({
                            method: "POST",
                            url: "<?=Flight::url('usuarios/ingresar')?>",
                            dataType: "json",
                            data: { 
                                correo: $('#txtIngresoCorreo').val(),
                                clave: $('#txtIngresoClave').val()
                            }
                        })
                        .done(function( json ) {
                            console.log( "ingreso: ", json );
                            if(json.error == 1) {
                                alert('Usuario o ontraseña inválidos');
                            } else {
                                window.location.replace(json.index);
                            }
                        })
                        .fail(function() {
                            console.log( "error" );
                        });        
                    });
                });
            </script>
            <?php include "app/vistas/plantillas/pie.php"; ?>
